Eco Message Board
Our Eco Trainer is now available for version 7.2.0 and supports STEAM. Our Eco message board is available to provide feedback on our trainers or cheats.
Eco Trainer
REQUEST MORE OPTIONS
0 option(s) for voting
FILE UPDATE REQUEST
report(s) file
BOOST UPDATE PRIORITY
Boost currently not available
Message Board for PC version
Page 2 of 4   •  First Page  •  Previous Page  •   Next Page  •   Last Page
Signup or Login to Post
  Eco Trainer
  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to someduder
    CHEATMASTER
    someduder posted on Feb 18, 2018 10:27:05 AM - Report post
     
    This is the error, can confirm, reinstalling .NET Framework 4.7 does not fix.

    --- Seems more a goof on eco devs than on trainer

    --Error ----

    Information: 0 : Eco, 7.1.2, STEAM
    Information: 0 : Trainer version: 1.2
    Information: 0 : Trainer is up to date.
    Information: 0 : Attaching to process: EcoServer
    Warning: 0 : DotNET: WARNING !!! Expect .NET framework 4.7.2600.0 but game is running 4.7.2563.0. This can result in failed code not found errors. To solve this, please re-install the expected dotnet framework and restart game. If the trainer is working fine, ignore this warning.
    Information: 0 : Successfully attached
    Error: 0 : player: Cannot find aob!

  • Trainer Maker
    Send a message to 0x90
    STAFF
    0x90 posted on Feb 18, 2018 10:36:28 AM - Report post
     
    That explains why it fails. The game (server) is written in .NET and the code is generated depending on the framework it runs with. It has to be exactly the version my game runs with.

    For some reason your version is older. Have you restarted your computer after 4.7 installation?

  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to someduder
    CHEATMASTER
    someduder posted on Feb 18, 2018 11:00:56 AM - Report post
     
    Hello,

    Yeap, I have restarted since the reinstalling .NET 4.7.2,
    I've also been running in admin mode
    Was why I was under the impression, maybe the update from 7.1.2 they maybe didn't update the dependencies? I'm more of a web dev, than game dev, but can vouche this was working 3 days ago, but has failed since.

  • Trainer Maker
    Send a message to 0x90
    STAFF
    0x90 posted on Feb 18, 2018 11:18:39 AM - Report post
     
    As a .NET developer you cannot control which framework your app is running with. There are limitations that you cannot run .NET framework 4.7 apps with .NET Framework 2.0 installed but thats something different.

    The .NET framework the game runs with depends also in the last installed .NET framework. If you have installed a software or steam game in the last couple days which have installed a different framework, then your ECO game migh use this instead.

    It is tricky and annoying but there is not much I can do about. It has to run the same framework version than my game and create the same code.

    What you can do is to try and install/repair .NET framework 4.7.1 instead and see if that helps.

  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to someduder
    CHEATMASTER
    someduder posted on Feb 18, 2018 11:22:23 AM - Report post
     
    Sweet, sounds good and thanks for the info!

    Now I know, and knowing is half the battle...

    Edited to add:

    I can confirm, neither, uninstalling and reinstalling, repairing .NET or verifying game integrity have any difference in using the older .NET version



    Oh yeah, I'm also not the 1st person to report it, I just saw anothe rhad the same issue and gave my data as well

    [Edited by someduder, 2/18/2018 12:13:26 PM]

  • Trainer Maker
    Send a message to 0x90
    STAFF
    0x90 posted on Feb 18, 2018 2:00:43 PM - Report post
     
    Has the .NET Framework version number changed from the game? You can obtain it from the trainer log and compare it against your log you posted here.
  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to someduder
    CHEATMASTER
    someduder posted on Feb 18, 2018 4:29:45 PM - Report post
     
    No it's the same:

    Information: 0 : Eco, 7.1.2, STEAM
    Information: 0 : Trainer version: 1.2
    Information: 0 : Trainer is up to date.
    Information: 0 : Attaching to process: EcoServer
    Warning: 0 : DotNET: WARNING !!! Expect .NET framework 4.7.2600.0 but game is running 4.7.2563.0. This can result in failed code not found errors. To solve this, please re-install the expected dotnet framework and restart game. If the trainer is working fine, ignore this warning.
    Information: 0 : Successfully attached
    Error: 0 : player: Cannot find aob!

    [Edited by someduder, 2/18/2018 4:29:55 PM]

  • Moderator
    Send a message to CyPHeR369
    MODERATOR
    CyPHeR369 posted on Feb 18, 2018 4:48:20 PM - Report post
     
    try the .NET repair tool.

    Link

    "Light travels faster than sound. This is why some people appear bright until you hear them speak."
Page 2 of 4   •  First Page  •  Previous Page  •   Next Page  •   Last Page
Signup or Login to Post
All times are (GMT -06:00) Central Time (US & Canada). Current time is 10:14:01 PM